package com.gci.cdnev.smallprogram.common.util;

import org.springframework.context.EnvironmentAware;
import org.springframework.core.env.Environment;

/**
 * spring上下文工具
 *
 * @author chenzw
 * @date 2023/8/14
 */
public final class SpringEnvironmentUtil {

	private static Environment environment;

	/**
	 * 初始化，注入ApplicationContext对象
	 */
	public static class Initializer implements EnvironmentAware {

		@Override
		public void setEnvironment(Environment environment) {
			SpringEnvironmentUtil.environment = environment;
		}
	}

	public String getProperty(String propName){
		return environment.getProperty(propName);
	}
}
