package com.gci.cdnev.smallprogram.modules.api.controller;

import com.gci.cdnev.smallprogram.annotation.CurrentUser;
import com.gci.cdnev.smallprogram.common.log.annotation.AddSysLog;
import com.gci.cdnev.smallprogram.common.vo.Result;
import com.gci.cdnev.smallprogram.modules.gis.service.ITbGisRunningbusService;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author lyz
 * @date 2023/9/12 10:44
 */
@Api(tags="全局监控")
@Slf4j
@RestController
@RequestMapping("/api/index")
public class IndexController {


    @Autowired
    private ITbGisRunningbusService tbGisRunningbusService;
    /**
     * 获取用户首页车辆监控，告警等相关数量。
     * @return
     */
    @AddSysLog("全局监控-获取用户首页车辆监控，告警等相关数量")
    @GetMapping(value = "/vehicleCount")
    public Result<?> getStatisticsCount(@CurrentUser JwtUser jwtUser,HttpServletRequest request) {
        // TODO: 2023/9/12 需从用户权限信息获取用户所拥有的项目权限 默认查询所有
        List<String> projectIds = jwtUser.getProjectIds();
        Map resultMap =  tbGisRunningbusService.countRunningBusNum(projectIds);
        return Result.ok(resultMap);
    }


}
