package com.gci.cdnev.smallprogram.modules.basedata.controller;


import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.common.log.annotation.AddSysLog;
import com.gci.cdnev.smallprogram.common.vo.Result;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbCustomerFollowTemplate;
import com.gci.cdnev.smallprogram.modules.basedata.service.ITbCustomerFollowTemplateService;

/**
 * <p>
 * 客户回访模板 前端控制器
 * </p>
 *
 * @author 2464
 * @since 2023-10-11
 */
@RestController
@RequestMapping("/api/customerFollowTemplate")
public class TbCustomerFollowTemplateController {
    @Autowired
    private ITbCustomerFollowTemplateService iTbCustomerFollowTemplateService;

    /**
     * 分页列表查询
     *
     * @param pageNo
     * @param pageSize
     * @param req
     * @return
     */
    @AddSysLog(value = "客户回访模板-分页列表查询")
    @GetMapping(value = "/list")
    public Result<?> queryPageList(TbCustomerFollowTemplate customerFollowTemplate,
            @RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
            @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize,
            HttpServletRequest req) {
        Page<TbCustomerFollowTemplate> page = new Page<TbCustomerFollowTemplate>(pageNo, pageSize);
        IPage<TbCustomerFollowTemplate> pageList = iTbCustomerFollowTemplateService.pageBuild(page, customerFollowTemplate);
        return Result.ok(pageList);
    }

}
