package com.gci.cdnev.smallprogram.modules.basedata.controller;


import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.common.log.annotation.AddSysLog;
import com.gci.cdnev.smallprogram.common.vo.Result;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbInspectionTemplate;
import com.gci.cdnev.smallprogram.modules.basedata.service.ITbInspectionTemplateService;

/**
 * <p>
 * 巡检模板表 前端控制器
 * </p>
 *
 * @author 2464
 * @since 2023-09-09
 */
@RestController
@RequestMapping("/api/inspectionTemplate")
public class TbInspectionTemplateController {
    @Autowired
    private ITbInspectionTemplateService iTbInspectionTemplateService;

    /**
     * 分页列表查询
     *
     * @param pageNo
     * @param pageSize
     * @param req
     * @return
     */
    @AddSysLog(value = "巡检模板-分页列表查询")
    @GetMapping(value = "/list")
    public Result<?> queryPageList(TbInspectionTemplate inspectionTemplate,
            @RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
            @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize,
            HttpServletRequest req) {
        Page<TbInspectionTemplate> page = new Page<TbInspectionTemplate>(pageNo, pageSize);
        IPage<TbInspectionTemplate> pageList = iTbInspectionTemplateService.pageBuild(page, inspectionTemplate);
        return Result.ok(pageList);
    }

}
