package com.gci.cdnev.smallprogram.modules.basedata.controller;


import java.util.List;

import com.gci.cdnev.smallprogram.common.log.annotation.AddSysLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.annotation.Query.handle.QueryGenerator;
import com.gci.cdnev.smallprogram.common.vo.Result;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbVehicleCheckTemplateProject;
import com.gci.cdnev.smallprogram.modules.basedata.service.ITbVehicleCheckTemplateProjectService;

/**
 * <p>
 * 车辆验收模板项目 前端控制器
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-07
 */
@RestController
@RequestMapping("/api/vehicleCheckTemplateProject")
public class TbVehicleCheckTemplateProjectController {

	@Autowired
	private ITbVehicleCheckTemplateProjectService tbVehicleCheckTemplateProjectService;

	@AddSysLog(value = "车辆验收模板-列表查询")
	@GetMapping("/list")
	public Result<?> list(TbVehicleCheckTemplateProject item) {
		LambdaQueryWrapper<TbVehicleCheckTemplateProject> queryWrapper = QueryGenerator.initQueryWrapper(TbVehicleCheckTemplateProject.class, item);
		queryWrapper.orderByAsc(TbVehicleCheckTemplateProject::getSort);
		queryWrapper.orderByDesc(TbVehicleCheckTemplateProject::getCreateTime);
		List<TbVehicleCheckTemplateProject> list = tbVehicleCheckTemplateProjectService.list(queryWrapper);
		return Result.ok(list);
	}

	@AddSysLog(value = "车辆验收模板-分页查询")
	@GetMapping("/page")
	public Result<?> page(TbVehicleCheckTemplateProject item,@RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
						  @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize) {
		LambdaQueryWrapper<TbVehicleCheckTemplateProject> queryWrapper = QueryGenerator.initQueryWrapper(TbVehicleCheckTemplateProject.class, item);
		queryWrapper.orderByAsc(TbVehicleCheckTemplateProject::getSort);
		queryWrapper.orderByDesc(TbVehicleCheckTemplateProject::getCreateTime);
		Page<TbVehicleCheckTemplateProject> page = new Page<TbVehicleCheckTemplateProject>(pageNo, pageSize);
		IPage<TbVehicleCheckTemplateProject> pageList = tbVehicleCheckTemplateProjectService.page(page,queryWrapper);
		return Result.ok(pageList);
	}

}
