package com.gci.cdnev.smallprogram.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.gci.cdnev.smallprogram.common.validated.SaveValidated;
import com.gci.cdnev.smallprogram.common.validated.UpdateValidated;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 客户回放模板详情
 * </p>
 *
 * @author 2464
 * @since 2023-10-11
 */
@Data
@TableName("tb_customer_follow_template_part")
@ApiModel(value = "TbCustomerFollowTemplatePart对象", description = "客户回放模板详情")
public class TbCustomerFollowTemplatePart implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("回访类别")
    @NotBlank(message = "回访类别不能为空！",groups = {SaveValidated.class, UpdateValidated.class})
    @Length(max = 64, message = "回访类别不能超过64位字符！",groups = {SaveValidated.class,UpdateValidated.class})
    //@Excel(name = "回访类别",mergeVertical = true, mergeRely = {0})
    private String categoryName;

    @ApiModelProperty("回访题目")
    @NotBlank(message = "回访题目不能为空！",groups = {SaveValidated.class,UpdateValidated.class})
    @Length(max = 64, message = "回访题目不能超过64位字符！",groups = {SaveValidated.class,UpdateValidated.class})
    //@Excel(name = "回访题目")
    private String followName;

    @ApiModelProperty("排序")
    @NotNull(message = "排序不能为空！",groups = {SaveValidated.class,UpdateValidated.class})
    private Integer sort;

    @ApiModelProperty("模板id")
    private String templateId;

    @ApiModelProperty("所属机构")
    private String sysOrgCode;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;



}
