package com.gci.cdnev.smallprogram.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.cdnev.smallprogram.annotation.Query.SelectQuery;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 车辆验收模板项目
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-07
 */
@Getter
@Setter
@TableName("tb_vehicle_check_template_project")
@ApiModel(value = "TbVehicleCheckTemplateProject对象", description = "车辆验收模板项目")
public class TbVehicleCheckTemplateProject implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("验收项目")
    @SelectQuery
    private String name;

    @ApiModelProperty("验收内容")
    @SelectQuery
    private String content;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("模板id")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String templateId;

    @ApiModelProperty("所属机构")
    private String sysOrgCode;

    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelIgnore
    private Date createTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelIgnore
    private Date updateTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("更新人")
    private String updateBy;

    /*暂不使用
     * @ApiModelProperty("删除标志")
    @ExcelIgnore
    private Integer delFlag;*/
    
}
