package com.gci.cdnev.smallprogram.modules.basedata.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.cdnev.smallprogram.annotation.Query.SelectQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 查询项目下车辆
 * @author 24642
 */
@Data
public class ProjectVehicleListQuery {
    /**
     * 项目id
     */
    @SelectQuery(Type = SelectQuery.SelectType.IN)
    private String projectId;

    /**
     * 车牌
     */
    @SelectQuery
    private String plateNumber;

    /**
     * 车架号
     */
    @SelectQuery
    private String frameNumber;

    /**
     * 时间
     */
    @SelectQuery(Type = SelectQuery.SelectType.BETWEEN,PropName = "deliveryTime")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private List<Date> time;

    /**
     * 状态
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "cancelFlag")
    private Integer otherFlag = 0;
}
