package com.gci.cdnev.smallprogram.modules.basedata.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbCustomerArchives;
import com.gci.cdnev.smallprogram.modules.basedata.mapper.TbCustomerArchivesMapper;
import com.gci.cdnev.smallprogram.modules.basedata.service.ITbCustomerArchivesService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class TbCustomerArchivesServiceImpl extends ServiceImpl<TbCustomerArchivesMapper, TbCustomerArchives> implements ITbCustomerArchivesService {

    @Override
    public boolean check(TbCustomerArchives archives) {
        LambdaQueryWrapper<TbCustomerArchives> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.and(wrapper -> wrapper.eq(TbCustomerArchives::getName,archives.getName())
                .or().eq(TbCustomerArchives::getShortened,archives.getShortened()))
                .ne(StrUtil.isNotBlank(archives.getId()), TbCustomerArchives::getId,archives.getId());
        int count = count(queryWrapper);
        return count <= 0;
    }

    @Override
    public TbCustomerArchives getByProjectId(String projectId) {
        if(StringUtils.isEmpty(projectId)){
            return null;
        }
        LambdaQueryWrapper<TbCustomerArchives> queryWrapper = new LambdaQueryWrapper<>();
        String sql = "select 1 from tb_projects p where tb_customer_archives.id = p.customer_id and p.id='"+projectId+"'";
        queryWrapper.exists(sql);
        List<TbCustomerArchives> list = list(queryWrapper);
        return list.size()>0?list.get(0):null;
    }
}
