package com.gci.cdnev.smallprogram.modules.basedata.service.impl;

import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.function.Function;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbVehicleCheckTemplate;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbVehicleCheckTemplateProject;
import com.gci.cdnev.smallprogram.modules.basedata.mapper.TbVehicleCheckTemplateProjectMapper;
import com.gci.cdnev.smallprogram.modules.basedata.service.ITbVehicleCheckTemplateProjectService;

/**
 * <p>
 * 车辆验收模板项目 服务实现类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-07
 */
@Service
public class TbVehicleCheckTemplateProjectServiceImpl extends ServiceImpl<TbVehicleCheckTemplateProjectMapper, TbVehicleCheckTemplateProject> implements ITbVehicleCheckTemplateProjectService {

	@Override
	public void getProjectsByTemplateId(TbVehicleCheckTemplate template) {
		LambdaQueryWrapper<TbVehicleCheckTemplateProject> queryWrapper = new LambdaQueryWrapper<>();
		queryWrapper.eq(TbVehicleCheckTemplateProject::getTemplateId, template.getId());
		queryWrapper.orderByAsc(TbVehicleCheckTemplateProject::getSort);
		List<TbVehicleCheckTemplateProject> list = list(queryWrapper);
		template.setProjectList(list);
		Set<String> con = new LinkedHashSet<>();
		for (TbVehicleCheckTemplateProject pro : list) {
			con.add(pro.getName());
		}
		String projectNames = String.join(",", con);
		template.setProjectNames(projectNames);
	}
	
	@Override
	public Map<String, TbVehicleCheckTemplateProject> getMapByIds(List<String> ids) {
		List<TbVehicleCheckTemplateProject> list = this.listByIds(ids);
		Map<String,TbVehicleCheckTemplateProject> map = list.stream().collect(Collectors.toMap(TbVehicleCheckTemplateProject::getId,Function.identity()));
		return map;
	}
	
}
