package com.gci.cdnev.smallprogram.modules.basedata.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbVehicleSupplierArchives;
import com.gci.cdnev.smallprogram.modules.basedata.mapper.TbVehicleSupplierArchivesMapper;
import com.gci.cdnev.smallprogram.modules.basedata.service.ITbVehicleSupplierArchivesService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class TbVehicleSupplierArchivesServiceImpl extends ServiceImpl<TbVehicleSupplierArchivesMapper, TbVehicleSupplierArchives> implements ITbVehicleSupplierArchivesService {

    @Override
    public boolean check(TbVehicleSupplierArchives archives) {
        LambdaQueryWrapper<TbVehicleSupplierArchives> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.and(wrapper -> wrapper.eq(TbVehicleSupplierArchives::getName,archives.getName())
                .or().eq(TbVehicleSupplierArchives::getShortened,archives.getShortened()))
                .ne(StrUtil.isNotBlank(archives.getId()), TbVehicleSupplierArchives::getId,archives.getId());

        int count = count(queryWrapper);
        return count <= 0;
    }
}
