package com.gci.cdnev.smallprogram.modules.customer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 客户回访详情
 * </p>
 *
 * @author xushuhan
 * @since 2023-10-14
 */
@Getter
@Setter
@TableName("tb_customer_follow_part")
@ApiModel(value = "TbCustomerFollowPart对象", description = "客户回访详情")
public class TbCustomerFollowPart implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("回访类别")
    private String categoryName;

    @ApiModelProperty("回访题目")
    private String followName;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("回访模板详情id")
    private String templatePartId;

    @ApiModelProperty("回访台账id")
    private String followId;

    @ApiModelProperty("回访结果（1满意，2不满意）")
    @Dict(dicCode = "pleased_status")
    private String pleasedStatus;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("所属机构")
    private String sysOrgCode;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("更新人")
    private String updateBy;
/*
    @ApiModelProperty("删除标志")
    private Integer delFlag;
*/

}
