package com.gci.cdnev.smallprogram.modules.customer.entity;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.cdnev.smallprogram.annotation.Query.SelectQuery;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 客户反馈意见处理
 * </p>
 *
 * @author xushuhan
 * @since 2023-10-16
 */
@Getter
@Setter
@TableName("tb_customer_opinion_handle")
@ApiModel(value = "TbCustomerOpinionHandle对象", description = "客户反馈意见处理")
@ColumnWidth(20)
public class TbCustomerOpinionHandle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("客户意见id")
    private String opinionId;

    @ApiModelProperty("处理方案")
    private String content;

    @ApiModelProperty("处理时间")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat("yyyy-MM-dd HH:mm")
    private Date handleTime;

    @ApiModelProperty("客户满意度（1满意，2不满意）")
    @Dict(dicCode = "pleased_status")
    private String pleasedStatus;

    @ApiModelProperty("所属机构")
    private String sysOrgCode;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("删除标志")
    private Integer delFlag;


}
