package com.gci.cdnev.smallprogram.modules.customer.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 巡检任务关联车辆
 * </p>
 *
 * @author 2464
 * @since 2023-10-16
 */
@Getter
@Setter
@TableName("tb_inspection_task_vehicle")
@ApiModel(value = "TbInspectionTaskVehicle对象", description = "巡检任务关联车辆")
public class TbInspectionTaskVehicle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("车辆Id")
    private String vehicleId;

    @ApiModelProperty("巡检任务Id")
    private String inspectionTaskId;

    @Dict(dicCode = "yes_no")
    //@Excel(name = "是否正常",dict = "yes_no")
    private String isNormal;

    //@Excel(name = "异常数据")
    private String abnormalMsg;
}
