package com.gci.cdnev.smallprogram.modules.customer.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.modules.customer.entity.TbCustomerOpinion;
import com.gci.cdnev.smallprogram.modules.customer.entity.TbCustomerOpinionHandle;
import com.gci.cdnev.smallprogram.modules.customer.mapper.TbCustomerOpinionHandleMapper;
import com.gci.cdnev.smallprogram.modules.customer.service.ITbCustomerOpinionHandleService;

/**
 * <p>
 * 客户反馈意见处理 服务实现类
 * </p>
 *
 * @author xushuhan
 * @since 2023-10-16
 */
@Service
public class TbCustomerOpinionHandleServiceImpl extends ServiceImpl<TbCustomerOpinionHandleMapper, TbCustomerOpinionHandle> implements ITbCustomerOpinionHandleService {


	@Override
	public void getHandlesByOpinionId(TbCustomerOpinion check) {
		LambdaQueryWrapper<TbCustomerOpinionHandle> queryWrapper = new LambdaQueryWrapper<>();
		queryWrapper.eq(TbCustomerOpinionHandle::getOpinionId, check.getId());
		queryWrapper.orderByAsc(TbCustomerOpinionHandle::getCreateTime);
		List<TbCustomerOpinionHandle> list = list(queryWrapper);
		check.setHandleList(list);
	}
	
}
