package com.gci.cdnev.smallprogram.modules.driver.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.cdnev.smallprogram.annotation.Query.SelectQuery;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 司机打卡
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-13
 */
@Getter
@Setter
@TableName("tb_driver_sign_in")
@ApiModel(value = "TbDriverSignIn对象", description = "司机打卡")
public class TbDriverSignIn implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("所属项目")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String projectId;

    @ApiModelProperty("所属项目")
    @SelectQuery
    private String projectName;

    @ApiModelProperty("车辆id")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String vehicleId;

    @ApiModelProperty("车牌号")
    @SelectQuery
    private String plateNumber;

    @ApiModelProperty("签到时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy年MM月dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private Date signInTime;

    @ApiModelProperty("签到日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private Date signInDate;

    @ApiModelProperty("打卡类型（1签到，2签退）")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String signInType;

    @ApiModelProperty("签到地址")
    @SelectQuery
    private String signInAddress;

    @ApiModelProperty("司机id")
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String driverId;

    @ApiModelProperty("司机名称")
    @SelectQuery
    private String driverName;

    @ApiModelProperty("操作类型（1用户，2系统自动，3后台）")
    private String opType;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("所属机构")
    @ExcelIgnore
    private String sysOrgCode;

    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ExcelIgnore
    private Date createTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ExcelIgnore
    private Date updateTime;

    @ApiModelProperty("创建人")
    @ExcelIgnore
    private String createBy;

    @ApiModelProperty("更新人")
    @ExcelIgnore
    private String updateBy;

    @ExcelIgnore
    @ApiModelProperty("删除标志")
    private Integer delFlag;
    
    @ApiModelProperty("签退id")
    @ExcelIgnore
    private String signOutId;

    @TableField(exist = false)
    private String month;

}
