package com.gci.cdnev.smallprogram.modules.driver.service.impl;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.constant.CommonConstant;
import com.gci.cdnev.smallprogram.modules.driver.entity.TbDriver;
import com.gci.cdnev.smallprogram.modules.driver.mapper.TbDriverMapper;
import com.gci.cdnev.smallprogram.modules.driver.service.ITbDriverService;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;

/**
 * <p>
 *  司机档案 服务实现类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-04
 */
@Service
public class TbDriverServiceImpl extends ServiceImpl<TbDriverMapper, TbDriver> implements ITbDriverService {

	@Override
	public void updateStatus(TbDriver item) {
		if(CommonConstant.STATUS_1.equals(item.getStatus())) {
			item.setStatus(CommonConstant.STATUS_0);
			updateById(item);
		}else if(CommonConstant.STATUS_0.equals(item.getStatus())) {
			item.setStatus(CommonConstant.STATUS_1);
			updateById(item);
		}
	}
	
	@Override
	public List<String> getProjectIds(String employeeId) {
		List<String> ids = null;
		TbDriver driver = getById(employeeId);
		if(driver!=null&&StringUtils.hasLength(driver.getProjectId())) {
			ids = Arrays.asList(driver.getProjectId().split(","));
		}
		return ids;
	}

}
