package com.gci.cdnev.smallprogram.modules.event.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.cdnev.smallprogram.annotation.Query.OrderQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 10724
 */
@Data
public class EventInfoQuery {
    /**
     * 项目id
     */
    private String projectId;

    /**
     * 事件主题
     */
    private String eventTheme;
    /**
     * 事故发生时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private List<Date> reportTime;

    /**
     * 事故发生时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private List<Date> handleTime;

    /**
     * 创建时间
     */
    @OrderQuery(sort = 1)
    private Date createTime;
}
