package com.gci.cdnev.smallprogram.modules.event.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.event.entity.EventInfo;
import com.gci.cdnev.smallprogram.modules.event.entity.EventProgress;
import com.gci.cdnev.smallprogram.modules.event.query.EventInfoQuery;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;

/**
 * <p>
 * 事故信息基础表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-13
 */
public interface IEventInfoService extends IService<EventInfo> {

    IPage<EventInfo> pageBuild(Page<EventInfo> page, EventInfoQuery query, JwtUser user);

    void saveItem(EventInfo eventInfo);

    void updateItem(EventInfo eventInfo,JwtUser user);

    void handle(EventProgress progress, JwtUser user);

    void removeItem(String id);

    IPage<EventInfo> todoList(Page<EventInfo> page);

    /**
     * 统计未完成的事故数据
     */
    int countTodoList();

    /**
     * 获取单个
     * @param id
     * @return
     */
    EventInfo getEventInfoById(String id);
}
