package com.gci.cdnev.smallprogram.modules.finance.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 车辆费用
 */
@Data
@TableName("tb_finance_vehicle_cost")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="财务测算车辆费用关联表", description="财务测算车辆费用关联表")
public class FinanceVehicleCost implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ExcelIgnore
    private String id;
    /**
     * 基础表id
     */
    private String baseId;
    /**
     * 车辆种类
     */
    private String vehicleType;
    /**
     * 单价(万元)
     */
    private BigDecimal unitPrice;
    /**
     * 上牌费用/购置税(万元)
     */
    private BigDecimal purchaseTax;
    /**
     * 保险(万元/台/年)
     */
    private BigDecimal insurance;
    /**
     * 维修及易损件(万元)
     */
    private BigDecimal repair;
    /**
     * 保养(万元)
     */
    private BigDecimal upkeep;
    /**
     * 年审(万元)
     */
    private BigDecimal annualAudit;
    /**
     * 数量
     */
    private Integer quantity;
    /**
     * 残值(万元/台)
     */
    private BigDecimal salvageValue;

    //租赁报价(万元/月/台)
    /**
     * 第一年
     */
    private BigDecimal oneYear;
    /**
     * 第二年
     */
    private BigDecimal twoYear;
    /**
     * 第三年
     */
    private BigDecimal threeYear;
    /**
     * 第四年
     */
    private BigDecimal fourYear;
    /**
     * 第五年
     */
    private BigDecimal fiveYear;
    /**
     * 第六年
     */
    private BigDecimal sixYear;
    /**
     * 第七年
     */
    private BigDecimal sevenYear;
    /**
     * 第八年
     */
    private BigDecimal eightYear;
}
