package com.gci.cdnev.smallprogram.modules.finance.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonPropertyDescription;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CalculateListVO {

    private String id;

    /**
     * 项目
     */
//    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    private String projectId;

    @JsonPropertyDescription("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonPropertyDescription("创建人")
    @Dict(dictTable = "sys_user", dicCode = "username", dicText = "realname")
    private String createBy;

    /**
     * 购车成本回收期(年)
     */
    private BigDecimal carCostRecovery;
    /**
     * 融资成本(万元)
     */
    private BigDecimal financingCost;
    /**
     * 内部收益率(%)
     */
    private BigDecimal internalRate;
    /**
     * 实缴增值税及附加(万元)
     */
    private BigDecimal vatAndAdditional;
    /**
     * 所得税(万元)
     */
    private BigDecimal incomeTax;
    /**
     * 净利润(万元)
     */
    private BigDecimal netProfit;
}
