package com.gci.cdnev.smallprogram.modules.finance.vo;

import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import com.gci.cdnev.smallprogram.modules.finance.entity.FinanceVehicleCost;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class DetailObjectVO {

    private String id;
    /**
     * 项目
     */
//    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    private String projectId;
    /**
     * 租赁年限
     */
    private Integer yearLimit;
    /**
     * 融资比例
     */
    private BigDecimal financingRatio;
    /**
     * 融资利率（%）
     */
    private BigDecimal financingRate;
    /**
     * 管理费用分担（%）
     */
    private BigDecimal overheadSharing;
    /**
     * 车辆费用子项
     */
    private List<FinanceVehicleCost> vehicleCostList;
    /**
     * 测算详情
     */
    private CalculateResultObjectVO calculateObject;
}
