package com.gci.cdnev.smallprogram.modules.gis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 充电记录表
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
@Getter
@Setter
@TableName("tb_gis_charge_log")
@ApiModel(value = "TbGisChargeLog对象", description = "充电记录表")
public class TbGisChargeLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("车牌号")
    private String numberPlate;

    @ApiModelProperty("所属项目id")
    private String projectId;

    @ApiModelProperty("所属项目名称")
    private String projectName;

    @ApiModelProperty("VIN 码")
    private String vinCode;

    @ApiModelProperty("充电开始时间")
    private Date startTime;

    @ApiModelProperty("充电结束时间")
    private Date endTime;

    @ApiModelProperty("开始充电时的 SOC %")
    private BigDecimal startSoc;

    @ApiModelProperty("结束充电时的 SOC %")
    private BigDecimal endSoc;

    @ApiModelProperty("充电比 %")
    private BigDecimal chargingEfficiency;

    @ApiModelProperty("充电量 kwh")
    private BigDecimal chargingEnergy;

    @ApiModelProperty("电池总电量")
    private BigDecimal totalBatteryEnergy;

    @ApiModelProperty("经度")
    private BigDecimal lon;

    @ApiModelProperty("纬度")
    private BigDecimal lat;

    @ApiModelProperty("高德经度")
    private BigDecimal gdLon;

    @ApiModelProperty("高德纬度")
    private BigDecimal gdLat;

    @ApiModelProperty("采集时间")
    private Date collectionTime;

    @ApiModelProperty("入库时间")
    private Date createTime;


}
