package com.gci.cdnev.smallprogram.modules.gis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 围栏告警记录表
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
@Getter
@Setter
@TableName("tb_gis_fence_alarm")
@ApiModel(value = "TbGisFenceAlarm对象", description = "围栏告警记录表")
public class TbGisFenceAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("围栏名称")
    private String name;

    @ApiModelProperty("围栏id")
    private String fenceId;

    @ApiModelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("驾驶员名称")
    private String driverName;

    @ApiModelProperty("驾驶员id")
    private String driverId;

    @ApiModelProperty("所属项目id")
    private String projectId;

    @ApiModelProperty("围栏类型 1-停场 2-行驶")
    private Integer fenceType;

    @ApiModelProperty("告警开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty("告警结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty("所属机构")
    private String sysOrgCode;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("经度")
    private BigDecimal lon;

    @ApiModelProperty("纬度")
    private BigDecimal lat;

    @ApiModelProperty("高德经度")
    private BigDecimal gdLon;

    @ApiModelProperty("高德纬度")
    private BigDecimal gdLat;

    @ApiModelProperty("持续时间")
    @TableField(exist = false)
    private String durTime;

    @ApiModelProperty("结束状态 0-未结束,1-已结束")
    @TableField(exist = false)
    private Integer status;
}
