package com.gci.cdnev.smallprogram.modules.gis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import com.gci.cdnev.smallprogram.common.validated.SaveValidated;
import com.gci.cdnev.smallprogram.common.validated.UpdateValidated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 围栏信息表
 * </p>
 *
 * @author 2464
 * @since 2023-08-30
 */
@Getter
@Setter
@TableName("tb_gis_fence_info")
@ApiModel(value = "TbGisFenceInfo对象", description = "围栏信息表")
public class TbGisFenceInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("所属围栏方案id")
    private String planId;

    @ApiModelProperty("所属围栏方案名称")
    private String planName;

    @NotBlank(message = "围栏信息名称不能为空!",groups = {SaveValidated.class, UpdateValidated.class})
    private String geoName;

    @ApiModelProperty("围栏json")
    @NotBlank(message = "围栏json不能为空！",groups = {SaveValidated.class,UpdateValidated.class})
    private String geoJson;


}
