package com.gci.cdnev.smallprogram.modules.gis.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 车辆gps轨迹信息表
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
@Getter
@Setter
//@TableName("tb_gis_gps_track")
@ApiModel(value = "TbGisGpsTrack对象", description = "车辆gps轨迹信息表")
public class TbGisGpsTrack implements Serializable {

    private static final long serialVersionUID = 1L;

//    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("定位终端标识")
    private String gpsNo;

    @ApiModelProperty("车辆状态  1-充电  2-行驶")
    private Integer status;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("起点纬度")
    private BigDecimal startLat;

    @ApiModelProperty("起点经度")
    private BigDecimal startLon;

    @ApiModelProperty("终点纬度")
    private BigDecimal endLat;

    @ApiModelProperty("终点经度")
    private BigDecimal endLon;

    @ApiModelProperty("平均速度 单位km/h")
    private BigDecimal duration;

    @ApiModelProperty("行驶里程 单位km")
    private BigDecimal roadMile;

    @ApiModelProperty("耗电量 kwh")
    private BigDecimal powerConsume;

    @ApiModelProperty("充电比例%")
    private BigDecimal chargeRatio;

    @ApiModelProperty("充电量 kwh")
    private BigDecimal chargeCap;

    @ApiModelProperty("总电量 kwh")
    private BigDecimal batteryCapacity;


}
