package com.gci.cdnev.smallprogram.modules.gis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.gis.entity.TbGisRunningbus;
import com.gci.cdnev.smallprogram.modules.monitor.vo.OverallMonitorVO;
import com.gci.cdnev.smallprogram.modules.monitor.vo.VehicleTreeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 车辆实时信息表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface TbGisRunningbusMapper extends BaseMapper<TbGisRunningbus> {

    /**
     * 获取所有车辆对应项目，为空的归到其它
     *
     * @return
     */
    List<VehicleTreeVO> queryProjrctVehicle(@Param("plateNumber") String plateNumber);

    /**
     * 获取全局监控车辆数据
     *
     * @return
     */
    List<OverallMonitorVO> queryOverallVehicle(Page<OverallMonitorVO> page,@Param("statusType") String statusType,
                                               @Param("projectIds") List<String> projectIds);

    List<OverallMonitorVO> queryOverallVehicleByMap(@Param("statusType") String statusType,
                                               @Param("projectIds") List<String> projectIds);


    /**
     * 获取用户权限内所有
     * @param plateNumber
     * @param projectIds
     * @return
     */
    List<OverallMonitorVO> queryOverallVehicleByAll(@Param("plateNumber") String plateNumber,
                                               @Param("projectIds") List<String> projectIds);


    /**
     * 查车辆详情
     *
     * @param plateNumber
     * @return
     */
    OverallMonitorVO queryVehicleInfo(@Param("plateNumber") String plateNumber);

    /**
     * 根据项目统计车辆数量
     *
     * @param projectIds
     * @return
     */
    Long countVehiclesByProjectIds(@Param("ids") List<String> projectIds);

    /**
     * 根据项目统计各报警状态的车辆数量
     *
     * @param statusType 3-故障告警 4-围栏告警 5-超速告警 6-主动安全告警
     * @param projectIds
     * @return
     */
    Long countVehiclesByTypeAndProjectIds(@Param("statusType") Integer statusType, @Param("ids") List<String> projectIds);


}
