package com.gci.cdnev.smallprogram.modules.gis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.modules.gis.entity.TbGisRunningbus;
import com.gci.cdnev.smallprogram.modules.gis.mapper.TbGisRunningbusMapper;
import com.gci.cdnev.smallprogram.modules.gis.mapper.TbGisStoppingAlarmMapper;
import com.gci.cdnev.smallprogram.modules.gis.service.ITbGisRunningbusService;
import com.gci.cdnev.smallprogram.modules.monitor.enums.AlarmType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 车辆实时信息表 服务实现类
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
@Service
public class TbGisRunningbusServiceImpl extends ServiceImpl<TbGisRunningbusMapper, TbGisRunningbus> implements ITbGisRunningbusService {

    @Autowired
    private TbGisRunningbusMapper tbGisRunningbusMapper;
    @Autowired
    private TbGisStoppingAlarmMapper stoppingAlarmMapper;
    @Override
    public Map countRunningBusNum(List<String> projectIds) {
        Map<String,Long> resultMap = new HashMap<>(3);
        Long totalCount = tbGisRunningbusMapper.countVehiclesByProjectIds(projectIds);
        Long speedAlarmCount = tbGisRunningbusMapper.countVehiclesByTypeAndProjectIds(AlarmType.SPEED.getType(),projectIds);
        Long fenceAlarmCount = tbGisRunningbusMapper.countVehiclesByTypeAndProjectIds(AlarmType.FENCE.getType(), projectIds);
        Long stopAlarmCount = stoppingAlarmMapper.count(projectIds);
        resultMap.put("totalCount",totalCount);
        resultMap.put("speedAlarmCount",speedAlarmCount);
        resultMap.put("fenceAlarmCount",fenceAlarmCount);
        resultMap.put("stopAlarmCount",stopAlarmCount);
        return resultMap;
    }
}
