package com.gci.cdnev.smallprogram.modules.gis.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 时间段分组Item
 */
@NoArgsConstructor
@Data
public class TimeSlotDTO {
    /**
     * 记录开始时间
     */
    private Date slotTime;
    /**
     * power--充电driving--行驶
     */
    private String type;
    /**
     * timeRange
     */
    private String timeRange;
    /**
     * timeCount
     */
    private String timeCount;
    /**
     * 充电量
     */
    private BigDecimal chargedEnergy;
    /**
     * 充电比
     */
    private BigDecimal chargedEfficiency;
    /**
     * 平均速度
     */
    private Double averageSpeed;
    /**
     * 行驶里程
     */
    private BigDecimal mileage;
    /**
     * 平均耗电量
     */
    private BigDecimal powerConsumption;
    /**
     * 是否跨天1-是0-否
     */
    private Integer isOvernight;
    /**
     * 经纬度点集合及其他信息
     */
    private List<PointListDTO> pointList;

}
