package com.gci.cdnev.smallprogram.modules.monitor.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.gis.entity.TbGisFenceAlarm;
import com.gci.cdnev.smallprogram.modules.gis.entity.TbGisSpeedingAlarm;
import com.gci.cdnev.smallprogram.modules.gis.entity.TbGisStoppingAlarm;
import com.gci.cdnev.smallprogram.modules.monitor.vo.AlarmCountVO;
import com.gci.cdnev.smallprogram.modules.monitor.vo.OverallMonitorVO;
import com.gci.cdnev.smallprogram.modules.monitor.vo.RunningbusVO;
import com.gci.cdnev.smallprogram.modules.monitor.vo.VehicleTreeVO;

import java.util.List;

public interface IMonitorService {

    /**
     * 获取全局监控车辆数据
     * @param statusType
     * @return
     */
    List<OverallMonitorVO> getOverallVehicleByListView(Page<OverallMonitorVO> page,String statusType, List<String> projectIds);

    List<OverallMonitorVO> getOverallVehicleByMap(String statusType,double lon,double lat,
                                                  double mapLevel,
                                                  List<String> projectIds);

    List<OverallMonitorVO> getOverallVehicleByAll(String plateNumber,List<String> projectIds);

    /**
     * 获取所有车辆对应项目，为空的归到其它
     * @param plateNumber
     * @return
     */
     List<VehicleTreeVO> getVehicleTree(String plateNumber);

    /**
     * 获取各状态车辆数量
     * @return
     */
     List<AlarmCountVO> getVehicleCount(List<String> projectIds);


    /**
     * 全局监控--获取车辆详情
     * @param plateNumber
     * @return
     */
     OverallMonitorVO getVehicleInfo(String plateNumber);

    /**
     * 实时监控--获取车辆详情
     * @param plateNumber
     * @return
     */
    RunningbusVO getRunningbusInfo(String plateNumber);


    /**
     * 获取围栏告警列表接口
     * @param projectIds  拥有的权限的项目id
     * @param plateNumber 车牌号
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param pageNo 当前页码
     * @param pageSize 每页条数
     * @return
     */
    IPage<TbGisFenceAlarm> pageFenceList(List<String> projectIds, String  plateNumber, String startTime, String endTime, Integer status,
                                         Integer pageNo, Integer pageSize);

    IPage<TbGisSpeedingAlarm> pageSpeedAlarmList(List<String> projectIds, String  plateNumber, String startTime, String endTime, Integer status,
                                                 Integer pageNo, Integer pageSize);


    IPage<TbGisStoppingAlarm> pageStopAlarmList(List<String> projectIds, String plateNumber, String startTime, String endTime, Integer status, Integer pageNo, Integer pageSize);
}
