package com.gci.cdnev.smallprogram.modules.projects.controller;


import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.annotation.Query.handle.QueryGenerator;
import com.gci.cdnev.smallprogram.common.log.annotation.AddSysLog;
import com.gci.cdnev.smallprogram.common.util.MinioUtils;
import com.gci.cdnev.smallprogram.common.vo.Result;
import com.gci.cdnev.smallprogram.modules.projects.entity.TbContract;
import com.gci.cdnev.smallprogram.modules.projects.service.ITbContractService;

import lombok.extern.slf4j.Slf4j;

/**
 * <p>
 * 合同档案 前端控制器
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-01
 */
@Slf4j
@RestController
@RequestMapping("/api/contract")
public class TbContractController {

	@Autowired
	private ITbContractService tbContractService;
	@Autowired
    private MinioUtils minioUtils;

	@AddSysLog(value = "合同档案-列表查询")
	@GetMapping("/list")
	public Result<?> list(TbContract item) {
		LambdaQueryWrapper<TbContract> queryWrapper = QueryGenerator.initQueryWrapper(TbContract.class, item);
		queryWrapper.orderByDesc(TbContract::getCreateTime);
		List<TbContract> list = tbContractService.list(queryWrapper);
		return Result.ok(list);
	}

	@AddSysLog(value = "合同档案-分页查询")
	@GetMapping("/page")
	public Result<?> page(TbContract item,@RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
						  @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize) {

		LambdaQueryWrapper<TbContract> queryWrapper = QueryGenerator.initQueryWrapper(TbContract.class, item);
		queryWrapper.orderByDesc(TbContract::getCreateTime);
		Page<TbContract> page = new Page<TbContract>(pageNo, pageSize);
		IPage<TbContract> pageList = tbContractService.page(page,queryWrapper);
		return Result.ok(pageList);
	}

}
