package com.gci.cdnev.smallprogram.modules.projects.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 项目基础信息表
 * </p>
 *
 * @author xushuhan
 * @since 2023-08-25
 */
@Getter
@Setter
@TableName("tb_project_user_rel")
@ApiModel(value = "ProjectUserRel对象", description = "项目和用户关联表")
@ColumnWidth(20)
public class ProjectUserRel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ExcelIgnore
    private String id;


    @ExcelProperty(value = "项目id", index = 0)
    @ApiModelProperty("项目id")
    private String projectId;

    @ExcelProperty(value = "用户id", index = 1)
    @ApiModelProperty("用户id")
    private String userId;

    @ExcelIgnore
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ExcelIgnore
    @ApiModelProperty("创建人")
    private String createBy;

    @ExcelIgnore
    @ApiModelProperty("更新时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ExcelIgnore
    @ApiModelProperty("更新人")
    private String updateBy;

}
