package com.gci.cdnev.smallprogram.modules.projects.entity;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 项目基础信息表
 * </p>
 *
 * @author xushuhan
 * @since 2023-08-25
 */
@Getter
@Setter
@TableName("tb_project_vehicle_bind_log")
@ApiModel(value = "项目绑定车辆日志对象", description = "项目绑定车辆日志对象表")
public class ProjectVehicleBindLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ExcelIgnore
    private String id;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 车牌号
     */
    private String plateNumber;

    /**
     * 绑定类型 1-绑定 2-解绑
     */
    private Integer bindType;

    /**
     * 操作来源 1-车辆操作 2-项目结束 3-项目操作
     */
    private Integer bindSource;

    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("创建人")
    private String createBy;

}
