package com.gci.cdnev.smallprogram.modules.projects.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.projects.entity.ProjectVehicleBindLog;

/**
 * @author lyz
 * @date 2023/10/8 14:14
 */
public interface IProjectVehicleBindLogService extends IService<ProjectVehicleBindLog> {

    /**
     *添加绑定日志
     * @param projectId 项目id
     * @param projectName 项目名称
     * @param plateNumber 车牌号
     * @param bindType 绑定类型 1-绑定 2-解绑
     * @param bindSource 操作来源 1-车辆操作 2-项目结束 3-项目操作
     * @param createBy 创建人
     */
    void addLog(String projectId,String projectName,String plateNumber,Integer bindType,Integer bindSource,String createBy);

    /**
     *添加绑定日志
     * @param projectId
     * @param projectName
     * @param plateNumbers
     * @param bindType
     * @param bindSource
     * @param createBy
     */
    void addBatchLog(String projectId, String projectName, List<String> plateNumbers, Integer bindType, Integer bindSource, String createBy);
}
