package com.gci.cdnev.smallprogram.modules.projects.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.projects.entity.Projects;
import com.gci.cdnev.smallprogram.modules.system.entity.SysUser;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;

/**
 * <p>
 * 项目基础信息表 服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-08-25
 */
public interface IProjectsService extends IService<Projects> {

	void saveItem(Projects item);

	void initBusId(Projects item);

	void updateStatus(Projects item);

	void initUserPower(SysUser sysUser);

	List<String> queryProjectListOfUser(JwtUser jwtUser);

	/**
	 * 识别当前用户的身份（所属的机构类别 1普通部门，2维修厂，3客户公司（租赁方），0根节点）
	 * @return
	 */
	Integer judgeDepartCategory(JwtUser jwtUser);

}
