package com.gci.cdnev.smallprogram.modules.statis.controller;

import com.gci.cdnev.smallprogram.common.log.annotation.AddSysLog;
import com.gci.cdnev.smallprogram.common.vo.Result;
import com.gci.cdnev.smallprogram.modules.statis.service.ReportService;
import com.gci.cdnev.smallprogram.modules.statis.vo.ReportChartVo;
import com.gci.cdnev.smallprogram.modules.statis.vo.ReportListVo;
import com.gci.cdnev.smallprogram.modules.statis.vo.StatisParamVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author 24642
 */
@Slf4j
@RestController
@RequestMapping("/api/report")
public class ReportController {
    @Autowired
    private ReportService reportService;

    @AddSysLog("统计-统计图表")
    @GetMapping("/reportChart")
    public Result<?> reportChart(StatisParamVO vo) {
        List<ReportChartVo> list = reportService.reportChart(vo);
        return Result.ok(list);
    }

    @AddSysLog("统计-数据列表")
    @GetMapping("/reportList")
    public Result<?> reportList(StatisParamVO vo) {
        List<ReportListVo> list = reportService.reportList(vo);
        return Result.ok(list);
    }
}
