package com.gci.cdnev.smallprogram.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 组织机构表
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-09-01
 */
@Getter
@Setter
@TableName("sys_depart")
@ApiModel(value = "SysDepart对象", description = "组织机构表")
public class SysDepart implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("父机构ID")
    private String parentId;

    @ApiModelProperty("机构/部门名称")
    private String departName;

    @ApiModelProperty("排序")
    private Integer departOrder;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("机构类别 1组织机构，2岗位")
    private Integer orgCategory;

    @ApiModelProperty("机构编码")
    private String orgCode;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ApiModelProperty("传真")
    private String fax;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("备注")
    private String memo;

    @ApiModelProperty("状态（1启用，0不启用）")
    private Integer status;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新日期")
    private Date updateTime;

}
