package com.gci.cdnev.smallprogram.modules.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.common.vo.Result;
import com.gci.cdnev.smallprogram.modules.system.entity.SysPermission;
import com.gci.cdnev.smallprogram.modules.system.entity.SysUser;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-17
 */
public interface ISysUserService extends IService<SysUser> {

    SysUser getByUsername(String username);

    @Transactional(rollbackFor = Exception.class)
    void addUser(SysUser user, List<String> roleIds, List<String> departIds);

    @Transactional(rollbackFor = Exception.class)
    void editUser(SysUser user, List<String> roleIds, List<String> departIds);

    String processPhone(SysUser user);

    Result<?> resetPassword(String username, String oldpassword, String newpassword, String confirmpassword);

    Set<String> getUserRolesSet(String username);

    Set<String> getUserPermissionsSet(String username);

	SysUser getUserById(String id);

	SysUser getByOpenid(String openid);

	List<SysUser> getByRoleCode(String roleCode);

    @Transactional(rollbackFor = Exception.class)
    void deleteBatch(List<String> userIds);

    @Transactional(rollbackFor = Exception.class)
    void delete(String userId);

    void getAuthArray(List<Map<String, Object>> array, List<SysPermission> metaList);
}
