package com.gci.cdnev.smallprogram.modules.vehicles.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.statis.vo.ReportProjectVo;
import com.gci.cdnev.smallprogram.modules.statis.vo.StatisParamVO;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbAccidentInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 事故信息基础表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-13
 */
public interface TbAccidentInfoMapper extends BaseMapper<TbAccidentInfo> {

    IPage<TbAccidentInfo> pagebuild(@Param("page") Page<TbAccidentInfo> page, @Param(Constants.WRAPPER) QueryWrapper<TbAccidentInfo> query);

    IPage<TbAccidentInfo> todoList(Page<TbAccidentInfo> page,
                                   @Param("info") TbAccidentInfo info);

    int countTodoList();

    List<ReportProjectVo> countAccident(@Param("vo") StatisParamVO vo);

    TbAccidentInfo getTbAccidentInfoById(@Param("id") String id);
}
