package com.gci.cdnev.smallprogram.modules.vehicles.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.statis.vo.ReportProjectVo;
import com.gci.cdnev.smallprogram.modules.statis.vo.StatisParamVO;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbRepairAssign;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbRepairInfo;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairInfoListVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.VehicleInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TbRepairInfoMapper extends BaseMapper<TbRepairInfo> {


    List<RepairInfoListVO> findRepairInfoList(Page page,
                                              @Param("vo") RepairInfoListVO vo);

    List<RepairInfoListVO> findRepairInfoAllList(@Param("vo") RepairInfoListVO vo);


    List<VehicleInfoVO> findVehicleInfoByProjectId(@Param("projectId") String projectId);

    List<TbRepairAssign> findRepairShop(@Param("repairShopIds") List<String> repairShopIds);


    List<VehicleInfoVO> findVehicleInfoByTime(@Param("vehicleType") String vehicleType,
                                              @Param("vehicleModel") String vehicleModel,
                                              @Param("vehicleBrand") String vehicleBrand);

    List<VehicleInfoVO> findVehicleInfoByMile(@Param("vehicleType") String vehicleType,
                                              @Param("vehicleModel") String vehicleModel,
                                              @Param("vehicleBrand") String vehicleBrand);



    List<ReportProjectVo> countRepair(@Param("vo") StatisParamVO vo);
}
