package com.gci.cdnev.smallprogram.modules.vehicles.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.cdnev.smallprogram.modules.projects.entity.TbVehicleCheck;
import com.gci.cdnev.smallprogram.modules.statis.vo.ReportProjectVo;
import com.gci.cdnev.smallprogram.modules.statis.vo.StatisParamVO;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbViolationRecord;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.VehicleProjectVO;

public interface TbViolationRecordMapper extends BaseMapper<TbViolationRecord> {

    /**
     * 获取车牌-项目-责任人列表
     * @return
     */
    List<VehicleProjectVO> queryVehicleProject(@Param("plateNumber") String plateNumber);

    /**
     * 获取所有车牌列表
     * @return
     */
    List<VehicleProjectVO> queryAllVehicle();

    /**
     * 获取所有项目列表(cancelFlag 废弃状态 0-正常 1-废弃)
     * @return
     */
    List<VehicleProjectVO> queryProjects(@Param("cancelFlag") Integer cancelFlag,
                                         @Param("delFlag") Integer delFlag,
                                         @Param("projectIds") List<String> projectIds);

    /**
     * 获取车牌-项目(车牌没项目的返回其它)
     * @return
     */
    List<VehicleProjectVO> queryOtherVehicleProject();

    List<ReportProjectVo> countViolation(@Param("vo") StatisParamVO vo);
    
	public List<TbVehicleCheck> getCheckViolationCount();

}
