package com.gci.cdnev.smallprogram.modules.vehicles.query;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.gci.cdnev.smallprogram.annotation.Query.OrderQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class AccidentInfoQuery {
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 车牌号
     */
    private String plateNumber;
    /**
     * 事故性质
     */
    private String natureConfirm;
    /**
     * 事故责任
     */
    private String liabilityConfirm;
    /**
     * 事故发生时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private List<Date> accidentTime;
    /**
     * 结案时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private List<Date> closingTime;
    /**
     * 创建时间
     */
    @OrderQuery(sort = 1)
    private Date createTime;
}
