package com.gci.cdnev.smallprogram.modules.vehicles.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 24642
 */
@Data
public class AnnualInspectionInfoQuery {
    /**
     * 车牌号
     */
    private String plateNumber;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 车辆种类
     */
    private String vehicleType;
    /**
     * 年检有效期
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private List<Date> time;
    /**
     * 逾期状态
     */
    private String overdueType;

    /**
     * 项目ids,用于权限区分
     */
    private List<String> listProject;
}
