package com.gci.cdnev.smallprogram.modules.vehicles.query;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.gci.cdnev.smallprogram.annotation.Query.SelectQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class AnnualInspectionRemindQuery {
    /**
     * 车牌号
     */
    @SelectQuery(Type = SelectQuery.SelectType.LIKE,PropName = "tair.plateNumber")
    private String plateNumber;
    /**
     * 项目id
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "tv.projectId")
    private String projectId;
    /**
     * 车辆种类
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "tv.vehicleType")
    private String vehicleType;
    /**
     * 年检有效期
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @SelectQuery(Type = SelectQuery.SelectType.BETWEEN,PropName = "tair.validityPeriod")
    private List<Date> time;
    /**
     * 1-将要逾期
     * 2-已逾期
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "tair.overdueType")
    private String overdueType;
    /**
     * 1-提醒中
     * 0-已过期
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "remindStatus")
    private String remindStatus;

    /**
     * 项目ids,用于权限区分
     */
    @SelectQuery(Type = SelectQuery.SelectType.IN,PropName = "tv.projectId")
    private List<String> listProject;
}