package com.gci.cdnev.smallprogram.modules.vehicles.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gci.cdnev.smallprogram.modules.customer.entity.TbCustomerFollow;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.*;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.BacklogStatisVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairInfoListVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairPageStaticVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.UpkeepInfoListVO;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;
import java.util.Map;
import java.util.Objects;

public interface BacklogService {

    List<BacklogStatisVO> getBacklogCount(JwtUser jwtUser);

    Object getBacklogPageList(JwtUser jwtUser, Integer pageNo, Integer pageSize, String type);

    //违章
    IPage<TbViolationRecord> getViolationPage(JwtUser jwtUser,Integer pageNo,Integer pageSize,List<String> projectIds);
    //维修
    IPage<RepairInfoListVO> getRepairPage(JwtUser jwtUser, Integer pageNo, Integer pageSize);
    //保养
    IPage<UpkeepInfoListVO> getUpkeepPage(JwtUser jwtUser,Integer pageNo,Integer pageSize);
    //事故
    IPage<TbAccidentInfo> getAccidentPage(JwtUser jwtUser,Integer pageNo,Integer pageSize,List<String> projectIds);
    //出险
    IPage<TbInsuranceRecord> getInsurancePage(JwtUser jwtUser,Integer pageNo,Integer pageSize,List<String> projectIds);
    //年检
    IPage<TbAnnualInspectionRemind> getASPage(JwtUser jwtUser, Integer pageNo, Integer pageSize, List<String> projectIds);
    //客户回访
    IPage<TbCustomerFollow> getFollowPage(JwtUser jwtUser, Integer pageNo, Integer pageSize, List<String> projectIds);
}
