package com.gci.cdnev.smallprogram.modules.vehicles.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbRepairInfo;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairDataEntryVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairInfoListVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairObjectVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairPageStaticVO;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface ITbRepairInfoService extends IService<TbRepairInfo> {

    /**
     * 分页列表查询
     * @param page
     * @param vo
     * @return
     */
    Page getRepairInfoList(Page page, RepairInfoListVO vo, JwtUser jwtUser);

    /**
     * 根据维修单id获取维修弹窗详情
     * @param id
     * @return
     */
    RepairObjectVO getRepairObjectById(String id,JwtUser jwtUser);

    /**
     * 数据录入
     * @param vo
     */
    String addDataEntry(RepairDataEntryVO vo,JwtUser jwtUser);

    /**
     * 流程提交
     */
    String submitRepairObject(RepairObjectVO vo,JwtUser jwtUser);



    /**
     * flowStatus
     * 1待提交 - 2待派单 - 3待报价 - 4待审核报价 - 5待审批报价 - 6维修中 - 7待确认结果 - 8已归档 -9作废
     *
     * 待办
     * --维修厂状态-3、6
     * --维保员工-2、3、4、6、7
     * --维保领导-2、3、5、6、7
     * @param page
     * @param vo
     * @return
     */
    Page getRepairBacklogList(Page page, RepairInfoListVO vo,JwtUser jwtUser);


    /**
     * 数据权限
     *
     */
    void dealRepairInfoListVO(JwtUser jwtUser, RepairInfoListVO vo);

    /**
     * 查询--维修列表数量统计
     * @param page
     * @param vo
     * @param jwtUser
     * @return
     */
    List<RepairPageStaticVO> getRepairPageStatic(Page page, RepairInfoListVO vo, JwtUser jwtUser);
}
