package com.gci.cdnev.smallprogram.modules.vehicles.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepBill;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.*;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;

import java.util.List;

public interface ITbUpkeepBillService extends IService<TbUpkeepBill> {

    /**
     * 数据录入
     * @param vo
     */
    String addDataEntry(UpkeepDataEntryVO vo);

    /**
     * 分页列表查询
     * @param page
     * @param vo
     * @return
     */
    Page getUpkeepBillList(Page page, UpkeepInfoListVO vo, JwtUser jwtUser);

    /**
     * 分页列表查询--计划加台账--待办
     * @param page
     * @param vo
     * @return
     */
    Page getUpkeepPlanAndBillList(Page page, UpkeepInfoListVO vo, JwtUser jwtUser);

    /**
     * 查所有列表查询
     * @param vo
     * @return
     */
    List<UpkeepInfoListVO> getAllUpkeepBillList(UpkeepInfoListVO vo);

    /**
     * 根据保养单id获取保养弹窗详情
     * @param id
     * @return
     */
    UpkeepObjectVO getUpkeepObjectById(String id,JwtUser jwtUser);

    /**
     * 流程提交
     */
    String submitUpkeepObject(UpkeepObjectVO vo, JwtUser jwtUser);


    /**
     * 数据权限
     *
     */
    List<String> getUserListRepairShopIds(JwtUser jwtUser);

    /**
     * 查询--保养列表数量统计
     * @param page
     * @param vo
     * @param jwtUser
     * @return
     */
    List<UpkeepBillPageStaticVO> getUpkeepPageStatic(Page page, UpkeepInfoListVO vo, JwtUser jwtUser);
}
