package com.gci.cdnev.smallprogram.modules.vehicles.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepPlan;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.UpkeepBillPageStaticVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.UpkeepInfoListVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.UpkeepPlanObjectVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.UpkeepPlanPageStaticVO;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;

import java.util.List;

public interface ITbUpkeepPlanService extends IService<TbUpkeepPlan> {

    /**
     * 保养计划审核提交
     */
    String submitUpkeepPlan(UpkeepPlanObjectVO vo, JwtUser jwtUser);

    /**
     * 根据保养计划单id获取保养弹窗详情
     * @param id
     * @return
     */
    UpkeepPlanObjectVO getUpkeepPlanObjectById(String id,JwtUser jwtUser);


    /**
     * 规则生成计划
     */
    void ruleCreatePlan();


    /**
     * 分页
     * @return
     */
    Page getUpkeepPlanList(Page page, TbUpkeepPlan upkeepPlan,JwtUser jwtUser);


    /**
     * 查询--保养计划列表数量统计
     */
    List<UpkeepPlanPageStaticVO> getUpkeepPlanPageStatic(Page page, TbUpkeepPlan plan, JwtUser jwtUser);

}
