package com.gci.cdnev.smallprogram.modules.vehicles.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbViolationRecord;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.MessageVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.VehicleProjectVO;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;

import java.util.List;

public interface ITbViolationRecordService extends IService<TbViolationRecord> {

    /**
     * 获取车牌-项目-责任人列表
     * @return
     */
    List<VehicleProjectVO> queryVehicleProject(String plateNumber);
    /**
     * 获取所有车牌列表
     * @return
     */
    List<VehicleProjectVO> queryAllVehicle();
    /**
     * 获取所有项目列表
     * @return
     */
    List<VehicleProjectVO> queryAllProject(JwtUser jwtUser);

    /**
     * 解析短信获取车牌、时间、地点
     * @param template
     * @return
     */
    MessageVO analyzeMessage(String template);

    /**
     * 短信识别新的违章行为新增到字典
     */
    String addViolationBehavior(MessageVO vo);
}
