package com.gci.cdnev.smallprogram.modules.vehicles.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateUnit;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.common.util.StringUtil;
import com.gci.cdnev.smallprogram.constant.CommonConstant;
import com.gci.cdnev.smallprogram.modules.system.entity.SysRole;
import com.gci.cdnev.smallprogram.modules.system.entity.SysUser;
import com.gci.cdnev.smallprogram.modules.system.entity.SysUserRole;
import com.gci.cdnev.smallprogram.modules.system.service.*;
import com.gci.cdnev.smallprogram.modules.system.vo.DictModel;
import com.gci.cdnev.smallprogram.modules.system.vo.LoginUser;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.*;
import com.gci.cdnev.smallprogram.modules.vehicles.enums.UpkeepPlanStatusEnumEmployee;
import com.gci.cdnev.smallprogram.modules.vehicles.enums.UpkeepPlanStatusEnumLeader;
import com.gci.cdnev.smallprogram.modules.vehicles.mapper.TbRepairInfoMapper;
import com.gci.cdnev.smallprogram.modules.vehicles.mapper.TbUpkeepBillMapper;
import com.gci.cdnev.smallprogram.modules.vehicles.mapper.TbUpkeepPlanMapper;
import com.gci.cdnev.smallprogram.modules.vehicles.service.*;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.*;
import com.gci.cdnev.smallprogram.modules.wx.entity.JwtUser;
import lombok.extern.slf4j.Slf4j;
import org.apache.shiro.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.time.temporal.ChronoUnit;
import java.util.*;
import java.util.concurrent.TimeUnit;
import java.util.stream.Collectors;

@Service
@Slf4j
public class TbUpkeepPlanServiceImpl extends ServiceImpl<TbUpkeepPlanMapper, TbUpkeepPlan> implements ITbUpkeepPlanService {

    @Autowired
    private ITbUpkeepPlanCheckService upkeepPlanCheckService;
//    @Autowired
//    private ITbUpkeepBillService upkeepBillService;
    @Autowired
    private ITbUpkeepRuleService upkeepRuleService;
    @Autowired
    private TbRepairInfoMapper repairInfoMapper;
    @Autowired
    private TbUpkeepPlanMapper upkeepPlanMapper;
    @Autowired
    private TbUpkeepBillMapper upkeepBillMapper;
    @Autowired
    private CommonService commonService;
    @Autowired
    private ISysUserService sysUserService;
    @Autowired
    private ISysUserRoleService sysUserRoleService;
    @Autowired
    private ISysRoleService sysRoleService;
    @Autowired
    private ISysDictService sysDictService;
    @Autowired
    private ITbUpkeepCheckService upkeepCheckService;

    @Transactional
    @Override
    public String submitUpkeepPlan(UpkeepPlanObjectVO vo, JwtUser jwtUser) {
        //更新维修单流程状态、流程节点
        TbUpkeepPlan upkeepPlan = this.getById(vo.getId());
//        if(!upkeepPlan.getFlowStatus().equals(vo.getFlowStatus())){
//            return "该保养计划单流程状态已被修改，请刷新后重试！";
//        }
        TbUpkeepPlanCheck upkeepPlanCheck = vo.getCurrentUpkeepCheck();
        if("2".equals(upkeepPlanCheck.getCheckResult())){
            if(StrUtil.isNotBlank(StringUtil.checkString(upkeepPlanCheck.getCheckIdea(),200))){
                return ("审核意见 " + StringUtil.checkString(upkeepPlanCheck.getCheckIdea(),200));
            }
        }else{
            if(StrUtil.isNotBlank(StringUtil.checkString2(upkeepPlanCheck.getCheckIdea(),200))){
                return ("审核意见 " + StringUtil.checkString2(upkeepPlanCheck.getCheckIdea(),200));
            }
        }

        if(vo.getCheckFlag() == 1){
            //审核通过
            upkeepPlan.setAuditStatus("2");
            this.updateById(upkeepPlan);
            //同步数据到台账
            TbUpkeepBill upkeepBill = new TbUpkeepBill();
            BeanUtil.copyProperties(upkeepPlan,upkeepBill);
            upkeepBill.setFlowStatus(2);
            upkeepBill.setFlowNode(1);
            //走流程的
            upkeepBill.setAddType(2);
            upkeepBillMapper.insert(upkeepBill);

            //补充节点操作人
            TbUpkeepCheck upkeepCheck = new TbUpkeepCheck();
            if(Objects.nonNull(jwtUser)){
                upkeepCheck.setCheckPeople(jwtUser.getRealname());
            }
            upkeepCheck.setUpkeepBillId(upkeepBill.getId());
            upkeepCheck.setCheckPeopleType("4");
            upkeepCheck.setCheckTime(new Date());
            upkeepCheckService.save(upkeepCheck);
        }
        if(vo.getCheckFlag() == 2){
            //审核未通过
            upkeepPlan.setAuditStatus("3");
            this.updateById(upkeepPlan);
        }

        String realName = "";
        if(Objects.nonNull(jwtUser)){
            realName = jwtUser.getRealname();
        }
        //审核信息
        if(StrUtil.isBlank(upkeepPlanCheck.getCheckPeople())){
            upkeepPlanCheck.setCheckPeople(realName);
        }
        upkeepPlanCheck.setCheckType("1");
        upkeepPlanCheck.setCheckPeopleType("1");
        upkeepPlanCheck.setCheckTime(new Date());
        upkeepPlanCheck.setUpkeepPlanId(vo.getId());
        upkeepPlanCheckService.save(upkeepPlanCheck);

        return null;
    }

    @Override
    public UpkeepPlanObjectVO getUpkeepPlanObjectById(String id,JwtUser jwtUser) {
        UpkeepPlanObjectVO vo = new UpkeepPlanObjectVO();
        TbUpkeepPlan tbUpkeepPlan = this.getById(id);
        vo.setId(id);
        vo.setUpkeepPlan(tbUpkeepPlan);
        if(StrUtil.isNotBlank(tbUpkeepPlan.getAttachmentJson())){
            tbUpkeepPlan.setAttachmentList(JSONUtil.toList(tbUpkeepPlan.getAttachmentJson(), AttachmentDetailVO.class));
        }
        vo.setAuditStatus(tbUpkeepPlan.getAuditStatus());
        String authorityType = commonService.getAuthority(jwtUser.getUserName());
        vo.setUserType(authorityType);

        //补充作废信息
        if("4".equals(tbUpkeepPlan.getAuditStatus())){
            CancelObjectVO cancelObjectVO = new CancelObjectVO();
            cancelObjectVO.setCancelIdea(tbUpkeepPlan.getCancelIdea());
            cancelObjectVO.setCancelPeople(tbUpkeepPlan.getCancelPeople());
            cancelObjectVO.setCancelTime(tbUpkeepPlan.getCancelTime());
            vo.setCancelObject(cancelObjectVO);
        }

        LambdaQueryWrapper<TbUpkeepPlanCheck> checkQueryWrapper = new LambdaQueryWrapper<>();
        checkQueryWrapper.eq(TbUpkeepPlanCheck::getUpkeepPlanId,id);
        List<TbUpkeepPlanCheck> tbRepairCheckList = upkeepPlanCheckService.list(checkQueryWrapper);
        vo.setUpkeepCheckList(tbRepairCheckList);

        //补充逾期情况
        String start = DateUtil.format(tbUpkeepPlan.getPredictTime(),"yyyy-MM-dd");
        String end = DateUtil.format(new Date(),"yyyy-MM-dd");
        long days = DateUtil.between(DateUtil.parse(start), DateUtil.parse(end), DateUnit.DAY,false);

        if(days > 0){
            vo.setOverdueStatus("2");
            vo.setOverdueDay(String.valueOf(days));
        }else{
            vo.setOverdueStatus("1");
        }
        //补充编辑按钮---未审核、审核未通过 且 为手动新增的
        if(2 == tbUpkeepPlan.getSaveType() && ("1".equals(tbUpkeepPlan.getAuditStatus()) || "3".equals(tbUpkeepPlan.getAuditStatus()))){
            vo.setEditButton(1);
        }else{
            vo.setEditButton(2);
        }

        return vo;
    }

    /**
     * 一个“或”规则，多次触发。后续触发需要屏蔽掉。仅生成一次
     * 同一次定时多个规则圈中同一辆车只生成一份
     */
    @Override
    public void ruleCreatePlan() {
        //当前批次
        Integer createNo = upkeepPlanMapper.findMaxPlanCreateNo() + 1;
        //1、查启用的规则
        LambdaQueryWrapper<TbUpkeepRule> ruleQuery = new LambdaQueryWrapper<>();
        ruleQuery.eq(TbUpkeepRule::getRuleStatus,"1");
        List<TbUpkeepRule> upkeepRuleList = upkeepRuleService.list(ruleQuery);
        //按时间、里程、时间或里程
        List<TbUpkeepRule> ruleTimes = upkeepRuleList.stream().filter(s->"1".equals(s.getRuleType())).collect(Collectors.toList());
        List<TbUpkeepRule> ruleMiles = upkeepRuleList.stream().filter(s->"2".equals(s.getRuleType())).collect(Collectors.toList());
        List<TbUpkeepRule> ruleTimeOrMiles = upkeepRuleList.stream().filter(s->"3".equals(s.getRuleType())).collect(Collectors.toList());
        //按时间生成保养单  规则设置的时间间隔-上次保养时间<=30
        ruleCreatePlanByTime(ruleTimes,createNo);
        //按里程生成保养单  (当前车辆的总里程数+本月的累计里程数)>=设置的里程数*90%则生成保养计划
        ruleCreatePlanByMile(ruleMiles, createNo);
        //按时间或里程生成保养计划单，同一规则车仅会存在一条
        ruleCreatePlanByTimeOrMiles(ruleTimeOrMiles,createNo);
    }

    @Override
    public Page getUpkeepPlanList(Page page, TbUpkeepPlan upkeepPlan,JwtUser jwtUser) {
        List<TbUpkeepPlan> list = new ArrayList<>();
        list = upkeepPlanMapper.findUpkeepPlanList(page,upkeepPlan);
        //todo 做按钮权限处理
        //1-司机，2-维修厂，3-司机&维修厂，4-维保管理员，5-维保领导，6-维保管理员&维保领导
        String authorityType = commonService.getAuthority(jwtUser.getUserName());
        handlerButtonAndType(list, authorityType);
        page.setRecords(list);

        return page;
    }

    @Override
    public List<UpkeepPlanPageStaticVO> getUpkeepPlanPageStatic(Page page, TbUpkeepPlan upkeepPlan, JwtUser jwtUser) {
        List<TbUpkeepPlan> list = new ArrayList<>();
        list = upkeepPlanMapper.findUpkeepPlanList(page,upkeepPlan);

        List<UpkeepPlanPageStaticVO> result = new ArrayList<>();
        UpkeepPlanPageStaticVO all = new UpkeepPlanPageStaticVO();
        all.setCount(list.size());
        all.setAuditStatus("-1");
        all.setFlowName("全部");
        result.add(all);

        List<DictModel> modelList =  sysDictService.queryDictItemsByCode("upkeep_audit_status");
        modelList.sort(Comparator.comparing(DictModel::getValue));
        for(DictModel dictModel : modelList){
            UpkeepPlanPageStaticVO pageStaticVO = new UpkeepPlanPageStaticVO();
            int count = (int)list.stream().filter(item->dictModel.getValue().equals(item.getAuditStatus())).count();
            pageStaticVO.setAuditStatus(dictModel.getValue());
            pageStaticVO.setCount(count);
            pageStaticVO.setFlowName(dictModel.getText());
            result.add(pageStaticVO);
        }
        return result;
    }

    public void ruleCreatePlanByTime(List<TbUpkeepRule> ruleTimes,Integer createNo) {
        ruleTimes.stream().forEach(rule->{
            //按时间规则查车，没有上次里程的车取交车时间
            List<VehicleInfoVO> vehicleInfoVOList = repairInfoMapper.findVehicleInfoByTime(rule.getVehicleType(),rule.getVehicleModel(),rule.getVehicleBrand());
            if(Objects.nonNull(vehicleInfoVOList) && vehicleInfoVOList.size()>0){
                for(VehicleInfoVO vo : vehicleInfoVOList){
                    //查有无已生成的当前批次计划
                    LambdaQueryWrapper<TbUpkeepPlan> planQuery = new LambdaQueryWrapper<>();
                    planQuery.eq(TbUpkeepPlan::getRuleId,rule.getId()).eq(TbUpkeepPlan::getPlateNumber,vo.getPlateNumber())
                            .eq(TbUpkeepPlan::getCreateNo,createNo);
                    int count = this.count(planQuery);
                    if(count > 0){
                        continue;
                    }else{
                        //规则设置的时间间隔-上次保养时间<=30
                        //当前时间 -（上次保养时间+时间间隔）<= 30 .....>> 当前时间-上次保养时间 <= 时间间隔+30
                        if(DateUtil.between(new Date(), vo.getLastTime(), DateUnit.DAY) <= (rule.getTime()+30)){
                            //生成该车保养计划
                            TbUpkeepPlan plan = new TbUpkeepPlan();
                            BeanUtil.copyProperties(vo,plan);
                            //未审核
                            plan.setAuditStatus("1");
                            //自动、规则id、批次号、生成日期
                            plan.setSaveType(1);
                            plan.setRuleId(rule.getId());
                            plan.setCreateNo(createNo);
                            plan.setPlanSaveTime(new Date());
                            //预计保养里程、时间。。。时间为这次上次保养时间+时间间隔
                            plan.setPredictMileage(rule.getMileage());
                            if(Objects.nonNull(rule.getTime())){
                                plan.setPredictTime(DateUtil.offsetDay(vo.getLastTime(),rule.getTime()));
                            }
                            //工单号
                            String format = DateUtil.format(new Date(),"yyyyMMddHHmmssSSS");
                            plan.setOrderNo(format);
                            plan.setContent(rule.getName());
                            this.save(plan);
                        }
                    }
                }
            }
        });
    }

    public void ruleCreatePlanByMile(List<TbUpkeepRule> ruleMiles,Integer createNo) {
        ruleMiles.stream().forEach(rule->{
            //按时间规则查车，没有上次里程的车取交车时间
            List<VehicleInfoVO> vehicleInfoVOList = repairInfoMapper.findVehicleInfoByMile(rule.getVehicleType(),rule.getVehicleModel(),rule.getVehicleBrand());
            if(Objects.nonNull(vehicleInfoVOList) && vehicleInfoVOList.size()>0){
                for(VehicleInfoVO vo : vehicleInfoVOList){
                    //查有无已生成的当前批次计划
                    LambdaQueryWrapper<TbUpkeepPlan> planQuery = new LambdaQueryWrapper<>();
                    planQuery.eq(TbUpkeepPlan::getRuleId,rule.getId()).eq(TbUpkeepPlan::getPlateNumber,vo.getPlateNumber())
                            .eq(TbUpkeepPlan::getCreateNo,createNo);
                    int count = this.count(planQuery);
                    if(count > 0){
                        continue;
                    }else{
                        //按里程生成保养单  (当前车辆的总里程数+本月的累计里程数)>=设置的里程数*90%则生成保养计划
                        if((vo.getTotalMileage() + vo.getMonthlyTotalMileage())>= (rule.getMileage()*0.9)){
                            //生成该车保养计划
                            TbUpkeepPlan plan = new TbUpkeepPlan();
                            BeanUtil.copyProperties(vo,plan);
                            //未审核
                            plan.setAuditStatus("1");
                            //自动、规则id、批次号、生成日期
                            plan.setSaveType(1);
                            plan.setRuleId(rule.getId());
                            plan.setCreateNo(createNo);
                            plan.setPlanSaveTime(new Date());
                            //预计保养里程、时间。。。时间为这次上次保养时间+时间间隔
                            plan.setPredictMileage(rule.getMileage());
                            if(Objects.nonNull(rule.getTime())){
                                plan.setPredictTime(DateUtil.offsetDay(vo.getLastTime(),rule.getTime()));
                            }
                            //工单号
                            String format = DateUtil.format(new Date(),"yyyyMMddHHmmssSSS");
                            plan.setOrderNo(format);
                            plan.setContent(rule.getName());
                            this.save(plan);
                        }
                    }
                }
            }
        });
    }

    public void ruleCreatePlanByTimeOrMiles(List<TbUpkeepRule> ruleTimeOrMiles,Integer createNo) {
        //“或”工单仅有一条
        ruleTimeOrMiles.stream().forEach(rule->{
            //按时间规则查车，没有上次里程的车取交车时间
            List<VehicleInfoVO> vehicleInfoVOList = repairInfoMapper.findVehicleInfoByMile(rule.getVehicleType(),rule.getVehicleModel(),rule.getVehicleBrand());
            if(Objects.nonNull(vehicleInfoVOList) && vehicleInfoVOList.size()>0) {
                for (VehicleInfoVO vo : vehicleInfoVOList) {
                    //查有无已经有生成过一次的“或”工单
                    LambdaQueryWrapper<TbUpkeepPlan> planQuery = new LambdaQueryWrapper<>();
                    planQuery.eq(TbUpkeepPlan::getRuleId,rule.getId()).eq(TbUpkeepPlan::getPlateNumber,vo.getPlateNumber());
                    int count = this.count(planQuery);
                    if(count > 0){
                        continue;
                    }else{
                        //时间或里程，满足其一即可
                        if(DateUtil.between(new Date(), vo.getLastTime(), DateUnit.DAY) <= (rule.getTime()+30)){
                            //生成该车保养计划
                            TbUpkeepPlan plan = new TbUpkeepPlan();
                            BeanUtil.copyProperties(vo,plan);
                            //未审核
                            plan.setAuditStatus("1");
                            //自动、规则id、批次号、生成日期
                            plan.setSaveType(1);
                            plan.setRuleId(rule.getId());
                            plan.setCreateNo(createNo);
                            plan.setPlanSaveTime(new Date());
                            //预计保养里程、时间。。。时间为这次上次保养时间+时间间隔
                            plan.setPredictMileage(rule.getMileage());
                            if(Objects.nonNull(rule.getTime())){
                                plan.setPredictTime(DateUtil.offsetDay(vo.getLastTime(),rule.getTime()));
                            }
                            //工单号
                            String format = DateUtil.format(new Date(),"yyyyMMddHHmmssSSS");
                            plan.setOrderNo(format);
                            plan.setContent(rule.getName());
                            this.save(plan);
                            continue;
                        }

                        if((vo.getTotalMileage() + vo.getMonthlyTotalMileage())>= (rule.getMileage()*0.9)){
                            //生成该车保养计划
                            TbUpkeepPlan plan = new TbUpkeepPlan();
                            BeanUtil.copyProperties(vo,plan);
                            //未审核
                            plan.setAuditStatus("1");
                            //自动、规则id、批次号、生成日期
                            plan.setSaveType(1);
                            plan.setRuleId(rule.getId());
                            plan.setCreateNo(createNo);
                            plan.setPlanSaveTime(new Date());
                            //预计保养里程、时间。。。时间为这次上次保养时间+时间间隔
                            plan.setPredictMileage(rule.getMileage());
                            if(Objects.nonNull(rule.getTime())){
                                plan.setPredictTime(DateUtil.offsetDay(vo.getLastTime(),rule.getTime()));
                            }
                            //工单号
                            String format = DateUtil.format(new Date(),"yyyyMMddHHmmssSSS");
                            plan.setOrderNo(format);
                            plan.setContent(rule.getName());
                            this.save(plan);
                            continue;
                        }
                    }
                }
            }
        });
    }

    //补充按钮权限
    public void handlerButtonAndType(List<TbUpkeepPlan> list, String authorityType){
        //1-司机，2-维修厂，3-司机&维修厂，4-维保管理员，5-维保领导，6-维保管理员&维保领导
        if("4".equals(authorityType)){
            list.stream().forEach(item->{
                UpkeepPlanStatusEnumEmployee statusEnum = UpkeepPlanStatusEnumEmployee.getEnum(item.getAuditStatus());
                if(Objects.nonNull(statusEnum)){
                    item.setCheckButton(statusEnum.getCheckButton());
                    item.setDeleteButton(statusEnum.getDeleteButton());
                    item.setAuditButton(statusEnum.getAuditButton());
                    //手动生成才有编辑
                    if(2 == item.getSaveType()){
                        item.setEditButton(statusEnum.getEditButton());
                    }
                    item.setUserType(authorityType);
                }
            });
        }

        if("6".equals(authorityType) || "5".equals(authorityType)){
            list.stream().forEach(item->{
                UpkeepPlanStatusEnumLeader statusEnum = UpkeepPlanStatusEnumLeader.getEnum(item.getAuditStatus());
                if(Objects.nonNull(statusEnum)){
                    item.setCheckButton(statusEnum.getCheckButton());
                    item.setDeleteButton(statusEnum.getDeleteButton());
                    item.setAuditButton(statusEnum.getAuditButton());
                    //手动生成才有编辑
                    if(2 == item.getSaveType()){
                        item.setEditButton(statusEnum.getEditButton());
                    }
                    item.setUserType(authorityType);
                }
            });
        }
    }
}
