package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class BacklogListVO {

    private String id;

    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    private String projectId;

    /**
     * 流程
     */
    private Integer flowStatus;
    /**
     * 流程名字
     */
    private String flowStatusName;
    /**
     * 工单
     */
    private String orderNo;
    /**
     * 车牌号
     */
    private String plateNumber;
    /**
     * 时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    private String time;
    /**
     * 违章分类
     */
    @Dict(dicCode = "violation_behavior")
    private String violationAct;
    /**
     * 初步预估性质（等级）
     */
    @Dict(dicCode = "nature_type")
    private String natureEstimate;

    private String type;

    private String name;

    /**
     * 年检逾期状态
     */
    private String overdueType;
    /**
     * 年检已逾期天数
     */
    private Integer overdueDays;
    /**
     * 年检将要逾期天数
     */
    private Integer daysToOverdue;

    //保养计划或台账
    private String planOrBill;

    /**
     * 回访方式
     */
    private String followType;
    /**
     * 回访状态
     */
    private String followStatus;
}
