package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbRepairAssign;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbRepairCheck;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbRepairInfo;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbRepairOffer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class RepairObjectVO {

    private String id;

    @ApiModelProperty("1-数据录入，，2-走流程的")
    @ExcelIgnore
    private Integer addType;
    // 用户类型 1-司机，2-维修厂，3-司机&维修厂，4-维保管理员，5-维保领导，6-维保管理员&维保领导
    @ExcelIgnore
    private String userType;

    @Dict(dicCode = "repair_status")
    private Integer flowStatus;

    /**
     * 审核状态   1-》通过， 2-》不通过
     */
    private Integer checkFlag = 2;

    private TbRepairInfo repairInfo;

    private TbRepairAssign repairAssign;

    private TbRepairOffer repairOffer;

    private CancelObjectVO cancelObject;

    /**
     * 当前审核信息
     */
    private TbRepairCheck currentRepairCheck;

    private List<TbRepairCheck> repairCheckList;
}
