package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepAssign;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepBill;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepCheck;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepOffer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class UpkeepObjectVO {

    private String id;

    @Dict(dicCode = "upkeep_status")
    private Integer flowStatus;

    @ApiModelProperty("1-数据录入，，2-走流程的")
    @ExcelIgnore
    private Integer addType;
    // 用户类型 1-司机，2-维修厂，3-司机&维修厂，4-维保管理员，5-维保领导，6-维保管理员&维保领导
    @ExcelIgnore
    private String userType;

    /**
     * 审核状态   1-》通过， 2-》不通过
     */
    private Integer checkFlag = 2;

    private TbUpkeepBill upkeepBill;

    private TbUpkeepAssign upkeepAssign;

    private TbUpkeepOffer upkeepOffer;

    private CancelObjectVO cancelObject;

    /**
     * 当前审核信息
     */
    private TbUpkeepCheck currentUpkeepCheck;

    private List<TbUpkeepCheck> upkeepCheckList;
}
