package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableField;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import com.gci.cdnev.smallprogram.common.dict.excel.DictConverter;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepPlan;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepPlanCheck;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class UpkeepPlanObjectVO {

    private String id;

    @Dict(dicCode = "upkeep_status")
    private Integer flowStatus;
    // 用户类型 1-司机，2-维修厂，3-司机&维修厂，4-维保管理员，5-维保领导，6-维保管理员&维保领导
    @ExcelIgnore
    private String userType;

    private String auditStatus;

    //编辑按钮 1-有 2-没有
    private Integer editButton;
    @Dict(dicCode = "overdue_status")
    private String overdueStatus;
    @ApiModelProperty("逾期天数")
    private String overdueDay;
    /**
     * 审核状态   1-》通过， 2-》不通过
     */
    private Integer checkFlag = 2;

    private TbUpkeepPlan upkeepPlan;

    private CancelObjectVO cancelObject;

    /**
     * 当前审核信息
     */
    private TbUpkeepPlanCheck currentUpkeepCheck;

    private List<TbUpkeepPlanCheck> upkeepCheckList;
}
