package com.gci.cdnev.smallprogram.modules.wx.entity;


import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class JwtUser {

    /**
     * 用户类型（1司机、2维修厂、3租赁方（客户）、4维保部）
     */
    private String type;


    /**
     * 调度员id
     */
    private String dispatcherId;
    /**
     * 登录人id
     */
    private String id;

    /**
     * 登录人账号
     */
    private String userName;

    /**
     * 登录人realname
     */
    private String realname;


    /**
     * 登录人密码
     */
    private String password;

    /**
     * 当前登录机构ID
     */
    private String sysOrgId;
    /**
     * 当前登录机构code
     */
    private String sysOrgCode;
    /**
     * 当前登录机构名称
     */
    private String sysOrgName;

    /**
     * 头像
     */
    private String avatar;


    /**
     * 性别（1：男 2：女）
     */
    private Integer sex;


    private String employeeCode;

    /**
     * 服务编号
     */
    private String serviceCode;

    /**
     * 电话
     */
    private String phone;

    /**
     * 状态(1：正常 2：冻结 ）
     */
    private Integer status;

    private Integer delFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 资格证号码。
     */
    private String qualification;

    //用户id（司机、维修厂）
    private String employeeId;

    //用户名称（司机、维修厂）
    private String employeeName;

    private List<String> projectIds;

    public boolean isDriver(){
        return "1".equals(type);
    }

    public boolean isProjectAdmin(){
        return "3".equals(type);
    }

    public boolean isMaintenance(){
        return "4".equals(type);
    }

}
