package com.gci.cdnev.smallprogram.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "gci.security")
@Data
public class GciSecurityProperties {

    private boolean enablePhoneEncrypt = false;
    private Shiro shiro = new Shiro();

    @Data
    public class Shiro {

        /**
         * 不做权限控制的url
         */
        private String excludeUrls;

        /**
         * 登录缓存时间 毫秒ms
         */
        private long expireTime;
    }
}
